import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import { withKnobs, number, text } from '@storybook/addon-knobs';
import readme from './readme.md';
import { ProgressbarVariation } from './progressbar-variation.enum.ts';
import { LayoutContainerVariation } from '../../_layout/layout-container/layout-container-variation.enum.ts';

<Meta
  title="Progress/digi-progressbar"
  parameters={{
    actions: {
      handles: ['afOnPageChange'],
    },
  }}
  decorators={[withKnobs]}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Primary

This is a default progress step component

<Canvas>
  <Story name="Primary">
    /* html */
    {`
      <digi-progressbar
        af-total-steps="${number('Amount of steps', 6)}"
        af-completed-steps="${number('Completed steps', 2)}"
        af-steps-label="${text('Steps label', 'frågor besvarade')}"
        af-variation={${ProgressbarVariation.PRIMARY}}
      ></digi-progressbar>
    `}
  </Story>
</Canvas>

## Secondary

This is a secondary progress step component.

<Canvas>
  <Story name="Secondary">
    /* html */
    {`
      <digi-progressbar
        af-total-steps="${number('Amount of steps', 6)}"
        af-completed-steps="${number('Completed steps', 2)}"
        af-steps-label="${text('Steps label', 'frågor besvarade')}"
        af-variation="${ProgressbarVariation.SECONDARY}"
      ></digi-progressbar>
    `}
  </Story>
</Canvas>

## Custom order - slotted

If you need to be able to set custom order of finished steps that follow the form elements that are finished, use a slot as in the example.

<Canvas>
  <Story name="Custom order">
    /* html */
    {`
      <digi-progressbar
        af-total-steps="4"
        af-completed-steps="2"
        af-steps-label="${text('Steps label', 'frågor besvarade')}"
      >
        <li class="completed"></li>
        <li></li>
        <li class="completed"></li>
        <li></li>
      </digi-progressbar>
    `}
  </Story>
</Canvas>

